Intermittent hosts index multiple actions.test_0001_show action buttons test failures
04/28/2016 05:34 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Tests
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3476
Description

The following test is failing intermittently:

HostJSTest::hosts index multiple actions.test_0001_show action buttons (from HostJSTest__ _hosts ind
ex multiple actions)

Took 3 sec.

Failed assertion, no message given. (Minitest::Assertion)
/var/lib/workspace/workspace/test_develop/database/postgresqgl/ruby/2.2/slave/fast/test/integration
/host_js_test.rb:228

| think the .checked? test is failing to wait, as it's executing in three seconds.

Associated revisions

Revision ce0562cc - 05/19/2016 01:30 PM - Dominic Cleal
fixes #14865 - use waiting selector to search for checked boxes
Also changes the click on the select all checkbox to trigger a DOM click

event, making it more reliable when the element moves slightly during
page loading.

History

#1 - 04/28/2016 05:45 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3476 added

#2 - 05/17/2016 03:02 AM - Dominic Cleal

Looks like there may be a similar issue to #14340 still. When it's still failing, the click for the checkbox is not in the normal position suggesting the
element could be moving during page load.

On a failed test:

cookies=[{:name=>"test_user", :domain=>"127.0.0.1", :value=>"secret_admin", :expires=>nil, :path=>"/", :secu
re=>false, :httponly=>false}]
updating counter on page load
counter page load... finished
clickl9={"position"=>{"x"=>80.5, "y"=>208.5}}

(Lines 2/3 show the host_checkbox function that runs on page load succeeded, and line 4 shows the clicking by Poltergeist of the select all
checkbox.)

A successful run clicks differently:
cookies=[{:name=>"test_user", :domain=>"127.0.0.1", :value=>"secret_admin", :expires=>nil, :path=>"/", :secu
re=>false, :httponly=>false}]

updating counter on page load
counter page load... finished
toggleCheck ()

toggleCheck () : checking host_ids_1 to true
toggleCheck () ... finished
clickl3={"position"=>{"x"=>80.5, "y"=>197.5}}

#3 - 05/19/2016 02:02 PM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset ce0562cc642476cf16c31245aae9ba8a44a68406.

#4 - 05/20/2016 06:55 AM - Dominic Cleal

- translation missing: en.field_release set to 136
